Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
assetmgrmodel::AssetStripLogger::Info Struct Reference

Log information structure. More...

## Public Attributes
int | capacity
| Maximum number of entries in the record ring buffer.
int | oldestRecord
| Pointer to the oldest log entry; -1 if the log is empty.
int | newestRecord
| Pointer to the newest log entry; -1 if the log is empty.
int | totalEventCount
| Total number of events logged.

## Detailed Description

Log information structure.

Definition at line 28 of file AssetStripLogger.idl.

## Member Data Documentation

## ◆ capacity

int assetmgrmodel::AssetStripLogger::Info::capacity

Maximum number of entries in the record ring buffer.

Definition at line 29 of file AssetStripLogger.idl.

## ◆ newestRecord

int assetmgrmodel::AssetStripLogger::Info::newestRecord

Pointer to the newest log entry; -1 if the log is empty.

Definition at line 31 of file AssetStripLogger.idl.

## ◆ oldestRecord

int assetmgrmodel::AssetStripLogger::Info::oldestRecord

Pointer to the oldest log entry; -1 if the log is empty.

Definition at line 30 of file AssetStripLogger.idl.

## ◆ totalEventCount

int assetmgrmodel::AssetStripLogger::Info::totalEventCount

Total number of events logged.

Definition at line 32 of file AssetStripLogger.idl.

The documentation for this struct was generated from the following file:

- AssetStripLogger.idl